pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/42790: scrotwm not working.

>Number:         42790
>Category:       pkg
>Synopsis:       scrotwm not working.
>Confidential:   no
>Severity:       critical
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Thu Feb 11 22:20:00 +0000 2010
>Originator:     Demelier David
>Release:        NetBSD-5
NetBSD 5.0_STABLE NetBSD 5.0_STABLE (Abricot 0.1) #0: Wed 
Jan 27 16:11:21 CET 2010 

The pkgsrc wm/scrotwm package is broken. In fact you need to compile 
lib/swm_hack.c before and then you need to change this in scrotwm.c :

#define SWM_LIB     "/usr/local/lib/"

where lib/swm_hack.c would be build and installed. It's really painful and the 
developer said ?multi os support? but I prefer say ?only OpenBSD support or 
hack it yourself.? 

compile lib/swm_hack.c and modify SWM_LIB in scrotwm.c

Home | Main Index | Thread Index | Old Index